import { Database } from "@sqlite.org/sqlite-wasm";
import { AbstractSqliteDB } from "@canvas-js/modeldb/utils";
import { Query, Method } from "./utils.js";
export declare class SqliteDB extends AbstractSqliteDB {
    private readonly db;
    constructor(db: Database);
    prepareQuery<R>(sql: string): Query<R>;
    prepareMethod(sql: string): Method;
    transaction(fn: () => void): void;
    close(): void;
}
